阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 742阅读
  • 0回复

[基础常识]升级mysql5.5到mysql5.7,查询警告 - this is incompatible with sql_mode=only_full_group_by

级别: 论坛版主
发帖
13736
云币
31883

问题升级mysql到5.7,导入mysql5.5的数据库,站点日志中,有类似 this is incompatible with sql_mode=only_full_group_by 的警告。 8\# ^k#X  
A,#2^dR  
.=<$S#x^Hb  
解决:在mysql的配置文件mysql.ini里加sql_mode的参数,如下边的内容: 5<+KR.W  
  1. [mysqld]
  2. sql_mode = STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION
H?Jm'\~  
wa:0X)KC?  
&HDP!SLS  
j*3}1L4P  
原因可能是新版本的mysql5.7与原sql查询语句不“兼容”。 Yc;ec9~  
>]?H`>4(  
\ZH&LPAY  
参考:https://stackoverflow.com/questions/34115174/error-related-to-only-full-group-by-when-executing-a-query-in-mysql
Debian 是一个自由的操作系统 (OS),提供您安装在计算机上使用。操作系统就是能让您的计算机工作的一系列基本程序和实用工具。
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: ECS是阿里云提供的什么服务? 正确答案:云服务器
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)